Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jinfonet.web.modules.dashboard
Class LCInfo

    java.lang.Object
      com.jinfonet.web.modules.dashboard.LCInfo

    public class LCInfo

extends java.lang.Object

This class is to define library component information for JDashboard call-back functions.

Constructor Summary
`LCInfo()` Create a new `LCInfo` instance.
`LCInfo(java.lang.String lcPath, java.lang.String lcName, java.util.List<CatalogInfo> catalogs, int lcType, java.util.Properties params)` Create a new `LCInfo` instance.

Method Summary
`java.util.List<CatalogInfo>` | `getCatalogs()` Return list of catalogInfos of current library component.
`java.lang.String` | `getLCId()` Return library component id.
`java.lang.String` | `getLCName()` Return library component name.
`java.lang.String` | `getLCPath()` Return library component path.
`int` | `getLCType()` Return library component type.
`java.util.Properties` | `getParams()` Return library component parameters.
`void` | `setCatalogs(java.util.List<CatalogInfo> catalogs)` Set library component catalogInfos.
`void` | `setLCId(java.lang.String lcId)` Set library component id.
`void` | `setLCName(java.lang.String lcName)` Set library component name.
`void` | `setLCPath(java.lang.String lcPath)` Set library component path.
`void` | `setLCType(int lcType)` Set library component type.
`void` | `setParams(java.util.Properties params)` Set library component parameters.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LCInfo

    public LCInfo()

  Create a new `LCInfo` instance.

### LCInfo

    public LCInfo(java.lang.String lcPath,
                  java.lang.String lcName,
                  java.util.List<CatalogInfo> catalogs,
                  int lcType,
                  java.util.Properties params)

  Create a new `LCInfo` instance.

  Parameters:
    `lcPath` - the path of the library component.
    `lcName` - the name of the library component.
    `catalogs` - the list of catalogs related with the library component.
    `lcType` - the library component type.
    `params` - the set of parameters of the library component.

Method Detail

### getLCId

    public java.lang.String getLCId()

  Return library component id.

  Returns:
    library component id.

### setLCId

    public void setLCId(java.lang.String lcId)

  Set library component id.

  Parameters:
    `lcId` - the library component id.

### getLCPath

    public java.lang.String getLCPath()

  Return library component path.

  Returns:
    library component path.

### setLCPath

    public void setLCPath(java.lang.String lcPath)

  Set library component path.

  Parameters:
    `lcPath` - the library component path.

### getLCName

    public java.lang.String getLCName()

  Return library component name.

  Returns:
    library component name.

### setLCName

    public void setLCName(java.lang.String lcName)

  Set library component name.

  Parameters:
    `lcName` - the library component name.

### getLCType

    public int getLCType()

  Return library component type.

  Returns:
    library component type.

### setLCType

    public void setLCType(int lcType)

  Set library component type.

  Parameters:
    `lcType` - the library component type.

### getParams

    public java.util.Properties getParams()

  Return library component parameters.

  Returns:
    library component parameters.

### setParams

    public void setParams(java.util.Properties params)

  Set library component parameters.

  Parameters:
    `dshPath` - the library component parameters.

### getCatalogs

    public java.util.List<CatalogInfo> getCatalogs()

  Return list of catalogInfos of current library component.

  Returns:
    list of catalogInfos.

### setCatalogs

    public void setCatalogs(java.util.List<CatalogInfo> catalogs)

  Set library component catalogInfos.

  Parameters:
    `catalogs` - the library component catalogInfos.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD